Subject: Re: Cygwin dll oddness
From: Jan Nieuwenhuizen <[email-masked]>
To: "Chris Jackson" <[email-masked]>
Cc: <[email-masked]>
Date: 08 Aug 2003 15:05:28 +0200

"Chris Jackson" <[email-masked]> writes:

> I'm trying to install the latest Cygwin binary (1.7.29-11) from one of the
> official Cygwin mirrors.  After installing, running lilypond --help
> (or --anything) fails with a dialog error box with the following message.
>
> "The procedure entry point __getreent could not be located in the dynamic
> link library cygwin1.dll"
>
> I've tried hosing my entire Cygwin directory and reinstalling from scratch,
> but still get this message.  Anyone know what this is a symptom of?

lilypond-1.7.29 is part of Cygwin's TEST/1.5.0 `branch'.  This means
that you need the cygwin-1.5.x dll, which has a new ABI.

Unfortunately, Cygwin's setup.exe allows you to pick a package from
another branch.  Usually this is not such a problem, but currently
(and until the 23rd) everything in TEST is built for the new ABI.

I'm not even sure if there is a way to see whether you picked a
version from another branch.  Incidentally, this is why I have given
all my Cygwin 1.5.x a relelease number greater than 10.

So, please check that in the Package selection window, you select

  (*) Experimental

and verify that you have version 1.5.1 of the cygwin package.  You'll
also need libkpathsea3-2.0.2-11, guile-1.6.4-11, libguile12-1.6.4-11
etc.

> Also tried installing from the lilypond.org mirror, but same problem.

This should be the same version.

> Incidentally, downloading the package index from the lilypond.org mirror
> gives another error box, containing
> 
> (null) line 25: syntax error, unexpected STRING, expecting NL
> (null) line 25: unrecognised line 25 (do you have the latest setup)

This should be fixed now.

Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/